## Button 按钮

常用的操作按钮。

### 基础用法

基础的按钮用法。

<div class="docDemo">
<div class="discript">

  <div style="padding-bottom: 20px">
    <button class="hz-btn-lg hz-btn-primary">变大按钮</button>
    <button class="hz-btn hz-btn-primary">正常按钮</button>
    <button class="hz-btn-sm hz-btn-primary">变小按钮</button>
    <button class="hz-btn-xs hz-btn-primary">超小按钮</button>
  </div>

  <div style="padding-bottom: 20px">
    <button class="hz-btn-normal">默认按钮</button>
    <button class="hz-btn hz-btn-primary">主要按钮</button>
    <button class="hz-btn hz-btn-success">成功按钮</button>
    <button class="hz-btn hz-btn-warning">警告按钮</button>
    <button class="hz-btn hz-btn-danger">危险按钮</button>
    <button class="hz-btn hz-btn-highlight">高亮按钮</button>
  </div>

</div>
<div class="code">

````html

<div style="padding-bottom: 20px">
  <button class="hz-btn-lg hz-btn-primary">变大按钮</button>
  <button class="hz-btn hz-btn-primary">正常按钮</button>
  <button class="hz-btn-sm hz-btn-primary">变小按钮</button>
  <button class="hz-btn-xs hz-btn-primary">超小按钮</button>
</div>

<div style="padding-bottom: 20px">
  <button class="hz-btn-normal">默认按钮</button>
  <button class="hz-btn hz-btn-primary">主要按钮</button>
  <button class="hz-btn hz-btn-success">成功按钮</button>
  <button class="hz-btn hz-btn-warning">警告按钮</button>
  <button class="hz-btn hz-btn-danger">危险按钮</button>
  <button class="hz-btn hz-btn-highlight">高亮按钮</button>
</div>

````

</div>
</div>


### 禁用状态

禁用的按钮用法。

<div class="docDemo">
<div class="discript">

  <div style="padding-bottom: 20px">
    <button class="hz-btn-lg hz-btn-primary" disabled>变大按钮</button>
    <button class="hz-btn hz-btn-primary" disabled>正常按钮</button>
    <button class="hz-btn-sm hz-btn-primary" disabled>变小按钮</button>
    <button class="hz-btn-xs hz-btn-primary" disabled>超小按钮</button>
  </div>

  <div style="padding-bottom: 20px">
    <button class="hz-btn-normal" disabled>默认按钮</button>
    <button class="hz-btn hz-btn-primary" disabled>主要按钮</button>
    <button class="hz-btn hz-btn-success" disabled>成功按钮</button>
    <button class="hz-btn hz-btn-warning" disabled>警告按钮</button>
    <button class="hz-btn hz-btn-danger" disabled>危险按钮</button>
    <button class="hz-btn hz-btn-highlight" disabled>高亮按钮</button>
  </div>
  

</div>
<div class="code">

````html

<div style="padding-bottom: 20px">
  <button class="hz-btn-lg hz-btn-primary" disabled>变大按钮</button>
  <button class="hz-btn hz-btn-primary" disabled>正常按钮</button>
  <button class="hz-btn-sm hz-btn-primary" disabled>变小按钮</button>
  <button class="hz-btn-xs hz-btn-primary" disabled>超小按钮</button>
</div>

<div style="padding-bottom: 20px">
  <button class="hz-btn-normal" disabled>默认按钮</button>
  <button class="hz-btn hz-btn-primary" disabled>主要按钮</button>
  <button class="hz-btn hz-btn-success" disabled>成功按钮</button>
  <button class="hz-btn hz-btn-warning" disabled>警告按钮</button>
  <button class="hz-btn hz-btn-danger" disabled>危险按钮</button>
  <button class="hz-btn hz-btn-highlight" disabled>高亮按钮</button>
</div>

````

</div>
</div>


### 朴素按钮

朴素按钮用法。


<div class="docDemo">
<div class="discript">

<div style="padding-bottom: 20px">
  <button class="hz-btn hz-btn-outline-primary">主要按钮</button>
  <button class="hz-btn hz-btn-outline-success">成功按钮</button>
  <button class="hz-btn hz-btn-outline-warning">警告按钮</button>
  <button class="hz-btn hz-btn-outline-danger">危险按钮</button>
  <button class="hz-btn hz-btn-outline-highlight">高亮按钮</button>
</div>

<div style="padding-bottom: 20px">
  <button class="hz-btn hz-btn-outline-primary" disabled>主要按钮</button>
  <button class="hz-btn hz-btn-outline-success" disabled>成功按钮</button>
  <button class="hz-btn hz-btn-outline-warning" disabled>警告按钮</button>
  <button class="hz-btn hz-btn-outline-danger" disabled>危险按钮</button>
  <button class="hz-btn hz-btn-outline-highlight" disabled>高亮按钮</button>
</div>
  

</div>
<div class="code">

````html

<div style="padding-bottom: 20px">
  <button class="hz-btn hz-btn-outline-primary">主要按钮</button>
  <button class="hz-btn hz-btn-outline-success">成功按钮</button>
  <button class="hz-btn hz-btn-outline-warning">警告按钮</button>
  <button class="hz-btn hz-btn-outline-danger">危险按钮</button>
  <button class="hz-btn hz-btn-outline-highlight">高亮按钮</button>
</div>

<div style="padding-bottom: 20px">
  <button class="hz-btn hz-btn-outline-primary" disabled>主要按钮</button>
  <button class="hz-btn hz-btn-outline-success" disabled>成功按钮</button>
  <button class="hz-btn hz-btn-outline-warning" disabled>警告按钮</button>
  <button class="hz-btn hz-btn-outline-danger" disabled>危险按钮</button>
  <button class="hz-btn hz-btn-outline-highlight" disabled>高亮按钮</button>
</div>

````

</div>
</div>


### 文字按钮

文字按钮的用法

<div class="docDemo">
<div class="discript">

  <div style="padding-bottom: 20px">
    <button class="hz-btn-link">文字按钮</button>
    <button class="hz-btn-link-primary">文字按钮</button>
    <button class="hz-btn-link-success">文字按钮</button>
    <button class="hz-btn-link-warning">文字按钮</button>
    <button class="hz-btn-link-danger">文字按钮</button>
    <button class="hz-btn-link-highlight">文字按钮</button>
  </div>

  <div style="padding-bottom: 20px">
    <button class="hz-btn-link" disabled>文字按钮</button>
    <button class="hz-btn-link-primary" disabled>文字按钮</button>
    <button class="hz-btn-link-success" disabled>文字按钮</button>
    <button class="hz-btn-link-warning" disabled>文字按钮</button>
    <button class="hz-btn-link-danger" disabled>文字按钮</button>
    <button class="hz-btn-link-highlight" disabled>文字按钮</button>
  </div>

</div>
<div class="code">

````html

<div style="padding-bottom: 20px">
  <button class="hz-btn-link">文字按钮</button>
  <button class="hz-btn-link-primary">文字按钮</button>
  <button class="hz-btn-link-success">文字按钮</button>
  <button class="hz-btn-link-warning">文字按钮</button>
  <button class="hz-btn-link-danger">文字按钮</button>
  <button class="hz-btn-link-highlight">文字按钮</button>
</div>

<div style="padding-bottom: 20px">
  <button class="hz-btn-link" disabled>文字按钮</button>
  <button class="hz-btn-link-primary" disabled>文字按钮</button>
  <button class="hz-btn-link-success" disabled>文字按钮</button>
  <button class="hz-btn-link-warning" disabled>文字按钮</button>
  <button class="hz-btn-link-danger" disabled>文字按钮</button>
  <button class="hz-btn-link-highlight" disabled>文字按钮</button>
</div>

````

</div>
</div>


### 按钮独占一行


<div class="docDemo">
<div class="discript">

  <div style="padding-bottom: 20px">
    <button class="hz-btn hz-btn-block hz-btn-success">block按钮</button>
    <button class="hz-btn hz-btn-block hz-btn-warning">block按钮</button>
    <button class="hz-btn hz-btn-block hz-btn-danger">block按钮</button>
  </div>

</div>
<div class="code">

````html

<div style="padding-bottom: 20px">
  <button class="hz-btn hz-btn-block hz-btn-success">block按钮</button>
  <button class="hz-btn hz-btn-block hz-btn-warning">block按钮</button>
  <button class="hz-btn hz-btn-block hz-btn-danger">block按钮</button>
</div>

````

</div>
</div>