## select 选择器

当选项过多时，使用下拉菜单展示并选择内容。

### 基础用法

适用广泛的基础单选

<div class="docDemo">
<div class="discript">
  <h2>第一种写法：兼容老版本</h2>
  <div id="select" class="select"></div>
  <h2>推荐第二种写法</h2>
  <div id="select1" class="select"></div>
  
</div>
<div class="code">

````js

// 兼容老版本， 更加推荐第二种方式
var select = $('#select').select('init', {
  laceholder: '请选择',
  defaultValue: '123132',
  data: [{
      value: '1',
      text: '选项1'
    },
    {
      value: '2',
      text: '选项2'
    },
  ],
  onClick(val, text) {
    console.log(val, text)
  }
});

var select1 = $('#select1').select({
  width: 500,
  height: 40,
  laceholder: '请选择',
  defaultValue: '1',
  data: [{
      value: '1',
      text: '选项1'
    },
    {
      value: '2',
      text: '选项2,配置点击',
      click: function (val, txt) {
        console.log(val, txt)
      }
    },
    {
      value: '3',
      text: '选项3'
    }
  ]
});
console.log(select1.getValue())
console.log(select1.getText())

````

</div>
</div>

<script>
  
// 兼容老版本， 更加推荐第二种方式
var select = $('#select').select('init', {
  laceholder: '请选择',
  defaultValue: '123132',
  data: [{
      value: '1',
      text: '选项1'
    },
    {
      value: '2',
      text: '选项2'
    },
  ],
  onClick(val, text) {
    console.log(val, text)
  }
});

var select1 = $('#select1').select({
  width: 500,
  height: 40,
  laceholder: '请选择',
  defaultValue: '1',
  data: [{
      value: '1',
      text: '选项1'
    },
    {
      value: '2',
      text: '选项2,配置点击',
      click: function (val, txt) {
        console.log(val, txt)
      }
    },
    {
      value: '3',
      text: '选项3'
    }
  ]
});
console.log(select1.getValue())
console.log(select1.getText())

</script>
