## 返回顶部

当页面内容冗长，需要快捷返回顶部时使用，一般放置在页面右下角位置。

### 基本用法


<style>

  #backTop {
    position: fixed;
    right: 30px;
    bottom: 30px;
  }

</style>

<div class="docDemo">
<div class="discript">

看右下角按钮
<button id="backTop" class="hz-btn hz-btn-primary">返回顶部</button>
  
</div>
<div class="code">

````html

<button id="backTop" class="hz-btn hz-btn-primary">返回顶部</button>


````

````js

$("#backTop").click(function(e) {
  $('body,html').animate({scrollTop:0},1000);
});


````

</div>
</div>




<script>
$("#backTop").click(function(e) {
  $('body,html').animate({scrollTop:0},500);
});

</script>